Index: /tags/green/is_gsdl_cdrom/Component Definitions/Default.cdf
===================================================================
--- /tags/green/is_gsdl_cdrom/Component Definitions/Default.cdf	(revision 2825)
+++ /tags/green/is_gsdl_cdrom/Component Definitions/Default.cdf	(revision 2825)
@@ -0,0 +1,159 @@
+[Components]
+component0=Source files
+component1=Run-time files
+component2=Build-time files
+component3=Non-Windows files
+component4=Documentation
+
+[SetupTypeItem-Local Library]
+Comment=
+Descrip=LOCAL_LIBRARY_DESC
+DisplayText=LOCAL_LIBRARY
+
+[TopComponents]
+component0=Non-Windows files
+component1=Source files
+component2=Run-time files
+component3=Build-time files
+component4=Documentation
+
+[SetupType]
+setuptype0=Local Library
+setuptype1=Web Library
+setuptype2=Source Code
+
+[Source files]
+SELECTED=Yes
+FILENEED=STANDARD
+HTTPLOCATION=
+STATUS=
+UNINSTALLABLE=Yes
+TARGET=<TARGETDIR>
+FTPLOCATION=
+VISIBLE=Yes
+DESCRIPTION=
+DISPLAYTEXT=
+IMAGE=
+DEFSELECTION=Yes
+COMMENT=
+INCLUDEINBUILD=Yes
+INSTALLATION=ALWAYSOVERWRITE
+COMPRESSIFSEPARATE=No
+MISC=
+ENCRYPT=No
+DISK=ANYDISK
+TARGETDIRCDROM=
+PASSWORD=
+TARGETHIDDEN=General Application Destination
+
+[Run-time files]
+SELECTED=Yes
+FILENEED=STANDARD
+HTTPLOCATION=
+STATUS=
+UNINSTALLABLE=Yes
+TARGET=<TARGETDIR>
+FTPLOCATION=
+VISIBLE=Yes
+DESCRIPTION=
+DISPLAYTEXT=
+IMAGE=
+DEFSELECTION=Yes
+COMMENT=
+INCLUDEINBUILD=Yes
+INSTALLATION=ALWAYSOVERWRITE
+COMPRESSIFSEPARATE=No
+MISC=
+ENCRYPT=No
+DISK=ANYDISK
+TARGETDIRCDROM=
+PASSWORD=
+TARGETHIDDEN=General Application Destination
+
+[Build-time files]
+SELECTED=Yes
+FILENEED=STANDARD
+HTTPLOCATION=
+STATUS=
+UNINSTALLABLE=Yes
+TARGET=<TARGETDIR>
+FTPLOCATION=
+VISIBLE=Yes
+DESCRIPTION=
+DISPLAYTEXT=
+IMAGE=
+DEFSELECTION=Yes
+COMMENT=
+INCLUDEINBUILD=Yes
+INSTALLATION=ALWAYSOVERWRITE
+COMPRESSIFSEPARATE=No
+MISC=
+ENCRYPT=No
+DISK=ANYDISK
+TARGETDIRCDROM=
+PASSWORD=
+TARGETHIDDEN=General Application Destination
+
+[SetupTypeItem-Web Library]
+Comment=
+Descrip=WEB_LIBRARY_DESC
+DisplayText=WEB_LIBRARY
+
+[Non-Windows files]
+SELECTED=Yes
+FILENEED=STANDARD
+HTTPLOCATION=
+STATUS=
+UNINSTALLABLE=Yes
+TARGET=<TARGETDIR>
+FTPLOCATION=
+VISIBLE=Yes
+DESCRIPTION=
+DISPLAYTEXT=
+IMAGE=
+DEFSELECTION=Yes
+COMMENT=
+INCLUDEINBUILD=Yes
+INSTALLATION=ALWAYSOVERWRITE
+COMPRESSIFSEPARATE=No
+MISC=
+ENCRYPT=No
+DISK=ANYDISK
+TARGETDIRCDROM=
+PASSWORD=
+TARGETHIDDEN=General Application Destination
+
+[Info]
+Type=CompDef
+Version=1.00.000
+Name=
+
+[SetupTypeItem-Source Code]
+Comment=
+Descrip=SOURCE_CODE_DESC
+DisplayText=SOURCE_CODE
+
+[Documentation]
+SELECTED=Yes
+FILENEED=STANDARD
+HTTPLOCATION=
+STATUS=
+UNINSTALLABLE=Yes
+TARGET=<TARGETDIR>
+FTPLOCATION=
+VISIBLE=Yes
+DESCRIPTION=
+DISPLAYTEXT=
+IMAGE=
+DEFSELECTION=Yes
+COMMENT=
+INCLUDEINBUILD=Yes
+INSTALLATION=ALWAYSOVERWRITE
+COMPRESSIFSEPARATE=No
+MISC=
+ENCRYPT=No
+DISK=ANYDISK
+TARGETDIRCDROM=
+PASSWORD=
+TARGETHIDDEN=General Application Destination
+
Index: /tags/green/is_gsdl_cdrom/Component Definitions/Default.fgl
===================================================================
--- /tags/green/is_gsdl_cdrom/Component Definitions/Default.fgl	(revision 2825)
+++ /tags/green/is_gsdl_cdrom/Component Definitions/Default.fgl	(revision 2825)
@@ -0,0 +1,42 @@
+[<PROGRAMFILES>\<COMMONFILES>]
+DISPLAYTEXT=Common Files Folder
+TYPE=TEXTSUBFIXED
+fulldirectory=
+
+[<WINDIR>\<WINSYSDIR>]
+DISPLAYTEXT=Windows System Folder
+TYPE=TEXTSUBFIXED
+fulldirectory=
+
+[USERDEFINED]
+DISPLAYTEXT=Script-defined Folders
+TYPE=USERSTART
+fulldirectory=
+
+[<PROGRAMFILES>]
+DISPLAYTEXT=Program Files Folder
+SubDir0=<PROGRAMFILES>\<COMMONFILES>
+TYPE=TEXTSUBFIXED
+fulldirectory=
+
+[<TARGETDIR>]
+DISPLAYTEXT=General Application Destination
+TYPE=TEXTSUBFIXED
+fulldirectory=
+
+[<WINDIR>]
+DISPLAYTEXT=Windows Operating System
+SubDir0=<WINDIR>\<WINSYSDIR>
+TYPE=TEXTSUBFIXED
+fulldirectory=
+
+[TopDir]
+SubDir0=<WINDIR>
+SubDir1=<PROGRAMFILES>
+SubDir2=<TARGETDIR>
+SubDir3=USERDEFINED
+
+[General]
+Type=FILELIST
+Version=1.00.000
+
Index: /tags/green/is_gsdl_cdrom/File Groups/Default.fdf
===================================================================
--- /tags/green/is_gsdl_cdrom/File Groups/Default.fdf	(revision 2825)
+++ /tags/green/is_gsdl_cdrom/File Groups/Default.fdf	(revision 2825)
@@ -0,0 +1,22 @@
+[FileGroups]
+group0=Program Executable Files
+
+[Program Executable Files]
+SELFREGISTERING=No
+HTTPLOCATION=
+LANGUAGE=
+OPERATINGSYSTEM=
+FTPLOCATION=
+FILETYPE=No
+INFOTYPE=Standard
+COMMENT=
+COMPRESS=Yes
+COMPRESSDLL=
+POTENTIALLY=No
+MISC=
+
+[Info]
+Type=FileGrp
+Version=1.00.000
+Name=
+
Index: /tags/green/is_gsdl_cdrom/File Groups/Program Executable Files.fgl
===================================================================
--- /tags/green/is_gsdl_cdrom/File Groups/Program Executable Files.fgl	(revision 2825)
+++ /tags/green/is_gsdl_cdrom/File Groups/Program Executable Files.fgl	(revision 2825)
@@ -0,0 +1,4 @@
+[General]
+Type=FILELIST
+Version=1.00.000
+
Index: /tags/green/is_gsdl_cdrom/Greenstone Digital Library Software.ipr
===================================================================
--- /tags/green/is_gsdl_cdrom/Greenstone Digital Library Software.ipr	(revision 2825)
+++ /tags/green/is_gsdl_cdrom/Greenstone Digital Library Software.ipr	(revision 2825)
@@ -0,0 +1,52 @@
+[Language]
+LanguageSupport0=0009
+
+[OperatingSystem]
+OSSupport=0000000000011011
+
+[Data]
+CurrentMedia=Default
+CurrentComponentDef=Default.cdf
+ProductName=Greenstone Digital Library Software
+set_mifserial=
+DevEnvironment=Microsoft Visual C++
+AppExe=
+set_dlldebug=No
+EmailAddresss=
+Instructions=Instructions.txt
+set_testmode=No
+set_mif=No
+SummaryText=
+Department=
+HomeURL=
+Author=
+Type=Internet Application
+InstallRoot=C:\My Installations\Greenstone Digital Library Software
+Version=2.37.000
+InstallationGUID=4c986880-d387-11d5-840f-a0c20cc10000
+set_level=Level 3
+CurrentFileGroupDef=Default.fdf
+Notes=Notes.txt
+set_maxerr=50
+set_args=
+set_miffile=Status.mif
+set_dllcmdline=
+Copyright=
+set_warnaserr=No
+CurrentPlatform=
+Category=
+set_preproc=
+CurrentLanguage=English
+CompanyName=New Zealand Digital Library Project
+Description=Description.txt
+set_maxwarn=50
+set_crc=Yes
+set_compileb4build=No
+
+[MediaInfo]
+mediadata0=Default/Media\Default
+
+[General]
+Type=INSTALLMAIN
+Version=1.10.000
+
Index: /tags/green/is_gsdl_cdrom/Registry Entries/Default.rge
===================================================================
--- /tags/green/is_gsdl_cdrom/Registry Entries/Default.rge	(revision 2825)
+++ /tags/green/is_gsdl_cdrom/Registry Entries/Default.rge	(revision 2825)
@@ -0,0 +1,4 @@
+[General]
+Type=REGISTRYDATA
+Version=1.00.000
+
Index: /tags/green/is_gsdl_cdrom/Script Files/setup.rul
===================================================================
--- /tags/green/is_gsdl_cdrom/Script Files/setup.rul	(revision 2825)
+++ /tags/green/is_gsdl_cdrom/Script Files/setup.rul	(revision 2825)
@@ -0,0 +1,639 @@
+
+////////////////////////////////////////////////////////////////////////////////
+//
+//  IIIIIII SSSSSS
+//    II    SS                          InstallShield (R)
+//    II    SSSSSS      (c) 1996-1997, InstallShield Software Corporation
+//    II        SS      (c) 1990-1996, InstallShield Corporation
+//  IIIIIII SSSSSS                     All Rights Reserved.
+//
+//
+//  This code is generated as a starting setup template.  You should
+//  modify it to provide all necessary steps for your setup.
+//
+//
+//    File Name:  Setup.rul
+//
+//  Description:  InstallShield script
+//
+//     Comments:  This template script performs a basic setup. With minor
+//                modifications, this template can be adapted to create
+//                new, customized setups.
+//
+////////////////////////////////////////////////////////////////////////////////
+
+
+// Include header files
+
+    #include "sdlang.h"
+    #include "sddialog.h"
+
+////////////////////// string defines ////////////////////////////
+
+    #define UNINST_LOGFILE_NAME      "Uninst.isu"
+
+//////////////////// installation declarations ///////////////////
+
+// ----- DLL function prototypes -----
+
+
+    // your DLL function prototypes
+
+
+// ---- script function prototypes -----
+
+    // generated by the Project Wizard
+    prototype ShowDialogs();
+    prototype MoveFileData();
+    prototype HandleMoveDataError( NUMBER );
+    prototype ProcessBeforeDataMove();
+    prototype ProcessAfterDataMove();
+    prototype SetupRegistry();
+    prototype SetupFolders();
+    prototype CleanUpInstall();
+    prototype SetupInstall();
+    prototype SetupScreen();
+    prototype CheckRequirements();
+    prototype DialogShowSdLicense();
+    prototype DialogShowSdFinishReboot();
+
+    // your script function prototypes
+	prototype DialogGreenstoneInstallationType();
+	prototype DialogSetupType();
+	prototype DialogSelectCollections();
+	prototype DialogSetAdminPassword();
+	prototype SetComponents();
+
+    // ----- global variables ------
+
+    // generated by the Project Wizard
+    BOOL        bWinNT, bIsShellExplorer, bInstallAborted, bIs32BitSetup;
+    STRING      svDir;
+    STRING      svName, svCompany, svSerial;
+    STRING      svDefGroup;
+    STRING      szAppPath;
+    STRING      svSetupType;
+
+
+    // your global variables
+	BOOL bWin31, bCompact;
+
+///////////////////////////////////////////////////////////////////////////////
+//
+//   MAIN PROGRAM
+//
+//      The setup begins here by hiding the visible setup
+//      window.  This is done to allow all the titles, images, etc. to
+//      be established before showing the main window.  The setup is
+//      then performed in a series of calls to script defined functions,
+//      with error checking at each step.
+//
+///////////////////////////////////////////////////////////////////////////////
+program
+    Disable( BACKGROUND );
+
+    CheckRequirements();
+
+    SetupInstall();
+
+    SetupScreen();
+
+    if (ShowDialogs()<0) goto end_install;
+
+    if (ProcessBeforeDataMove()<0) goto end_install;
+
+    if (MoveFileData()<0) goto end_install;
+
+    if (ProcessAfterDataMove()<0) goto end_install;
+
+    if (SetupRegistry()<0) goto end_install;
+
+    if (SetupFolders()<0) goto end_install;
+
+
+    end_install:
+
+    CleanUpInstall();
+
+    // If an unrecoverable error occurred, clean up
+    // the partial installation. Otherwise, exit normally.
+
+    if (bInstallAborted) then
+        abort;
+    endif;
+
+endprogram
+
+///////////////////////////////////////////////////////////////////////////////
+//
+// Function:  ShowDialogs
+//
+//  Purpose:  This function manages the display and navigation of
+//            the standard dialogs that exist in a setup.
+//
+///////////////////////////////////////////////////////////////////////////////
+function ShowDialogs()
+    NUMBER  nResult;
+
+begin
+
+    Dlg_Start:
+    // beginning of dialogs label
+
+    Dlg_SdLicense:
+    nResult = DialogShowSdLicense();
+    if (nResult = BACK) goto Dlg_Start;
+
+	if (bWin31 = FALSE) then
+	
+		Dlg_GreenstoneInstallationType:
+		nResult = DialogGreenstoneInstallationType();
+		if (nResult = BACK) goto Dlg_SdLicense;
+
+   		Dlg_SetupType:
+   		nResult = DialogSetupType();
+   		if (nResult = BACK) goto Dlg_GreenstoneInstallationType;
+   	
+   	endif;
+   	
+   	SetComponents();
+   	
+   	Dlg_SelectCollections:
+   	nResult = DialogSelectCollections();
+   	if (nResult = BACK) then
+   		if (bWin31 = TRUE) goto Dlg_SdLicense;
+   		goto Dlg_SetupType;
+   	endif;
+   		
+   	Dlg_SetAdminPassWord:
+   	nResult = DialogSetAdminPassword();
+   	if (nResult = BACK) goto Dlg_SelectCollections;
+
+    return 0;
+
+end;
+
+///////////////////////////////////////////////////////////////////////////////
+//
+// Function: ProcessBeforeDataMove
+//
+//  Purpose: This function performs any necessary operations prior to the
+//           actual file transfer.
+//
+///////////////////////////////////////////////////////////////////////////////
+function ProcessBeforeDataMove()
+    STRING svLogFile;
+    NUMBER nResult;
+
+begin
+
+  // Create app information, uninstallation, and App Paths registry keys.
+
+    InstallationInfo( @COMPANY_NAME, @PRODUCT_NAME, @PRODUCT_VERSION, @PRODUCT_KEY );
+
+    svLogFile = UNINST_LOGFILE_NAME;
+
+    nResult = DeinstallStart( svDir, svLogFile, @UNINST_KEY, 0 );
+    if (nResult < 0) then
+        MessageBox( @ERROR_UNINSTSETUP, WARNING );
+    endif;
+
+    szAppPath = TARGETDIR; // TO DO : if your application .exe is in a subfolder
+                           // of TARGETDIR then add subfolder
+
+    if ((bIs32BitSetup) && (bIsShellExplorer)) then
+        RegDBSetItem( REGDB_APPPATH, szAppPath );
+        RegDBSetItem( REGDB_APPPATH_DEFAULT, szAppPath ^ @PRODUCT_KEY );
+        RegDBSetItem( REGDB_UNINSTALL_NAME, @UNINST_DISPLAY_NAME );
+    endif;
+
+    // TO DO : any other tasks you want to perform before file transfer
+
+    return 0;
+end;
+
+///////////////////////////////////////////////////////////////////////////////
+//
+//  Function:  MoveFileData
+//
+//  Purpose:  This function handles the file transfer for
+//            the setup.
+//
+///////////////////////////////////////////////////////////////////////////////
+function MoveFileData()
+    NUMBER nResult, nDisk;
+
+begin
+
+    nDisk = 1;
+    SetStatusWindow( 0, "" );
+    Disable( DIALOGCACHE );
+    Enable( STATUS );
+    StatusUpdate( ON, 100 );
+    nResult = ComponentMoveData( MEDIA, nDisk, 0 );
+
+    HandleMoveDataError( nResult );
+
+    Disable( STATUS );
+
+    return nResult;
+
+end;
+
+
+///////////////////////////////////////////////////////////////////////////////
+//
+// Function: HandleMoveDataError
+//
+//  Purpose: This function handles the error (if any) during the file transfer
+//           operation.
+//
+///////////////////////////////////////////////////////////////////////////////
+function HandleMoveDataError( nResult )
+    STRING szErrMsg, svComponent , svFileGroup , svFile;
+
+begin
+
+    svComponent = "";
+    svFileGroup = "";
+    svFile = "";
+
+    switch (nResult)
+        case 0:
+            return 0;
+        default:
+            ComponentError ( MEDIA , svComponent , svFileGroup , svFile , nResult );
+            szErrMsg = @ERROR_MOVEDATA  + "\n\n" +
+                @ERROR_COMPONENT + " " + svComponent + "\n" +
+                @ERROR_FILEGROUP + " " + svFileGroup + "\n" +
+                @ERROR_FILE      + " " + svFile;
+            SprintfBox( SEVERE, @TITLE_CAPTIONBAR, szErrMsg, nResult );
+            bInstallAborted = TRUE;
+            return nResult;
+    endswitch;
+
+end;
+
+///////////////////////////////////////////////////////////////////////////////
+//
+// Function: ProcessAfterDataMove
+//
+//  Purpose: This function performs any necessary operations needed after
+//           all files have been transferred.
+//
+///////////////////////////////////////////////////////////////////////////////
+function ProcessAfterDataMove()
+    STRING szReferenceFile;
+
+begin
+
+    // TO DO : update self-registered files and other processes that
+    //        should be performed after the files have been transferred.
+
+    // DeinstallSetReference specifies a file to be checked before
+    // uninstallation. If the file is in use, uninstallation will not proceed.
+
+    szReferenceFile = svDir ^ @PRODUCT_KEY; // TO DO : If your file is in a
+                                            // subfolder of svDir add that here
+    DeinstallSetReference( szReferenceFile );
+
+    return 0;
+end;
+
+///////////////////////////////////////////////////////////////////////////////
+//
+// Function: SetupRegistry
+//
+//  Purpose: This function makes the registry entries for this setup.
+//
+///////////////////////////////////////////////////////////////////////////////
+function SetupRegistry()
+    NUMBER nResult;
+
+begin
+
+    // TO DO : Add all your registry entry keys here.
+    // Call registry functions and/or create keys from
+    // the InstallShield IDE's Resources pane.
+
+    nResult = CreateRegistrySet( "" );
+
+    return nResult;
+ end;
+
+///////////////////////////////////////////////////////////////////////////////
+//
+// Function: SetupFolders
+//
+//  Purpose: This function creates all the folders and shortcuts for the
+//           setup.  This includes program groups and items for Windows 3.1.
+//
+///////////////////////////////////////////////////////////////////////////////
+function SetupFolders()
+    NUMBER nResult;
+
+begin
+
+
+    // TO DO : Add all your folders (or program groups) along with shortcuts (or
+    // program items). Call CreateProgramFolder and AddFolderIcon, and/or create
+    // shortcuts etc. from the InstallShield IDE's Resources pane.
+    //
+    // Note : for 16-bit setups you should add an uninstaller icon pointing to
+    //        your log file.  Under 32-bit this is automatically done by Windows.
+
+    nResult = CreateShellObjects( "" );
+
+    return nResult;
+ end;
+
+///////////////////////////////////////////////////////////////////////////////
+//
+// Function: CleanUpInstall
+//
+//  Purpose: This cleans up the setup.  Anything that should
+//           be released or deleted at the end of the setup should
+//           be done here.
+//
+///////////////////////////////////////////////////////////////////////////////
+function CleanUpInstall()
+
+begin
+
+
+    if (bInstallAborted) then
+        return 0;
+    endif;
+
+    DialogShowSdFinishReboot();
+
+    if (BATCH_INSTALL) then // ensure locked files are properly transferred
+        CommitSharedFiles(0);
+    endif;
+
+    return 0;
+end;
+
+///////////////////////////////////////////////////////////////////////////////
+//
+// Function: SetupInstall
+//
+//  Purpose: This will initialize the setup.  Any general initialization
+//           needed for the installation should be performed here.
+//
+///////////////////////////////////////////////////////////////////////////////
+function SetupInstall()
+
+begin
+
+    Enable( CORECOMPONENTHANDLING );
+
+    bInstallAborted = FALSE;
+
+    //  Create list of end user selections to be displayed by DialogShowSdStartCopy()  //
+
+    if (bIs32BitSetup) then
+        svDir = PROGRAMFILES ^ @COMPANY_NAME ^ @PRODUCT_NAME;
+    else
+        svDir = PROGRAMFILES ^ @COMPANY_NAME16 ^ @PRODUCT_NAME16; // use short names
+    endif;
+
+    TARGETDIR  = svDir;
+
+    SdProductName( @PRODUCT_NAME );
+
+    Enable( DIALOGCACHE );
+
+    return 0;
+end;
+
+///////////////////////////////////////////////////////////////////////////////
+//
+// Function:  SetupScreen
+//
+//  Purpose:  This function establishes the screen look.  This includes
+//            colors, fonts, and text to be displayed.
+//
+///////////////////////////////////////////////////////////////////////////////
+function SetupScreen()
+
+begin
+
+    Enable( FULLWINDOWMODE );
+    Enable( INDVFILESTATUS );
+    SetTitle( @TITLE_MAIN, 24, WHITE );
+
+    SetTitle( @TITLE_CAPTIONBAR, 0, BACKGROUNDCAPTION ); // Caption bar text.
+
+    Enable( BACKGROUND );
+
+    Delay( 1 );
+end;
+
+///////////////////////////////////////////////////////////////////////////////
+//
+// Function:  CheckRequirements
+//
+//  Purpose:  This function checks all minimum requirements for the
+//            application being installed.  If any fail, then the user
+//            is informed and the setup is terminated.
+//
+///////////////////////////////////////////////////////////////////////////////
+function CheckRequirements()
+    NUMBER  nvDx, nvDy, nvResult;
+    STRING  svResult;
+
+begin
+
+    bWinNT           = FALSE;
+    bWin31           = FALSE;
+    bIsShellExplorer = FALSE;
+
+    // Check screen resolution.
+    GetExtents( nvDx, nvDy );
+
+    if (nvDy < 480) then
+        MessageBox( @ERROR_VGARESOLUTION, WARNING );
+        abort;
+    endif;
+
+    // set 'setup' operation mode
+    bIs32BitSetup = TRUE;
+    GetSystemInfo( ISTYPE, nvResult, svResult );
+    if (nvResult = 16) then
+        bIs32BitSetup = FALSE; // running 16-bit setup
+        return 0; // no additional information required
+    endif;
+
+    // --- 32-bit testing after this point ---
+
+    // Determine the target system's operating system.
+    GetSystemInfo( OS, nvResult, svResult );
+
+    if (nvResult =  IS_WINDOWSNT) then
+        // Running Windows NT.
+        bWinNT = TRUE;
+
+        // Check to see if the shell being used is EXPLORER shell.
+        if (GetSystemInfo( OSMAJOR, nvResult, svResult ) = 0) then
+            if (nvResult >= 4) then
+                bIsShellExplorer = TRUE;
+            endif;
+        endif;
+
+    elseif (nvResult = IS_WINDOWS95) then
+        bIsShellExplorer = TRUE;
+
+    elseif (nvResult = IS_WINDOWS) then
+    	// Running Windows 3.1
+    	bWin31 = TRUE;
+
+    endif;
+
+end;
+
+
+///////////////////////////////////////////////////////////////////////////////
+//
+// Function: DialogShowSdLicense
+//
+//  Purpose: This function displays the license agreement dialog.
+//
+//
+///////////////////////////////////////////////////////////////////////////////
+function DialogShowSdLicense()
+    NUMBER nResult;
+    STRING szTitle, szMsg, szQuestion, szLicenseFile;
+
+begin
+
+    szLicenseFile = SUPPORTDIR ^ "license.txt";
+    szTitle    = "";
+    szMsg      = "";
+    szQuestion = "";
+    nResult    = SdLicense( szTitle, szMsg, szQuestion, szLicenseFile );
+
+    return nResult;
+end;
+
+
+///////////////////////////////////////////////////////////////////////////////
+//
+//  Function: DialogShowSdFinishReboot
+//
+//  Purpose: This function will show the last dialog of the product.
+//           It will allow the user to reboot and/or show some readme text.
+//
+///////////////////////////////////////////////////////////////////////////////
+function DialogShowSdFinishReboot()
+    NUMBER nResult, nDefOptions;
+    STRING szTitle, szMsg1, szMsg2, szOption1, szOption2;
+    NUMBER bOpt1, bOpt2;
+
+begin
+
+    if (!BATCH_INSTALL) then
+        bOpt1 = FALSE;
+        bOpt2 = FALSE;
+        szMsg1 = "";
+        szMsg2 = "";
+        szOption1 = "";
+        szOption2 = "";
+        nResult = SdFinish( szTitle, szMsg1, szMsg2, szOption1, szOption2, bOpt1, bOpt2 );
+        return 0;
+    endif;
+
+    nDefOptions = SYS_BOOTMACHINE;
+    szTitle     = "";
+    szMsg1      = "";
+    szMsg2      = "";
+    nResult     = SdFinishReboot( szTitle, szMsg1, nDefOptions, szMsg2, 0 );
+
+    return nResult;
+end;
+
+///////////////////////////////////////////////////////////////////////////////
+//
+//
+//
+///////////////////////////////////////////////////////////////////////////////
+
+
+function DialogGreenstoneInstallationType()
+	NUMBER nResult;
+	STRING szTitle, szMsg;
+
+begin
+
+	szTitle = @TEXT_INSTALL_TYPE;
+	szMsg = @TEXT_INSTALL_TYPE_DESC;
+
+	nResult = SdSetupTypeEx(szTitle, szMsg, "", svSetupType, 0);
+
+	return nResult;
+end;
+
+
+function DialogSetupType()
+	NUMBER nResult, nvCheck1, nvCheck2;
+	STRING szMsg, szText1, szText2;
+
+begin
+
+	nvCheck1 = TRUE;
+	nvCheck2 = FALSE;
+	szMsg = @TEXT_SETUP_TYPE_DESC;
+	szText1 = @TEXT_COMPACT;
+	szText2 = @TEXT_FULL;
+
+	nResult = AskOptions(EXCLUSIVE, szMsg, szText1, nvCheck1, szText2, nvCheck2);
+	
+	bCompact = nvCheck1;
+		
+	return nResult;
+end;
+
+
+function DialogSelectCollections()
+
+	NUMBER nResult;
+
+begin
+
+	//nResult = SdComponentDialog
+	
+
+	return nResult;
+end;
+
+
+function DialogSetAdminPassword()
+
+	NUMBER nResult;
+
+begin
+
+	//nResult = SdShowDlgEdit1
+
+	return nResult;
+end;
+
+
+function SetComponents()
+
+begin
+
+end;
+
+
+///////////////////////////////////////////////////////////////////////////////
+//
+//
+//
+///////////////////////////////////////////////////////////////////////////////
+
+// --- include script file section ---
+
+#include "sddialog.rul"
+
+
Index: /tags/green/is_gsdl_cdrom/Setup Files/Compressed Files/Language Independent/OS Independent/license.txt
===================================================================
--- /tags/green/is_gsdl_cdrom/Setup Files/Compressed Files/Language Independent/OS Independent/license.txt	(revision 2825)
+++ /tags/green/is_gsdl_cdrom/Setup Files/Compressed Files/Language Independent/OS Independent/license.txt	(revision 2825)
@@ -0,0 +1,344 @@
+		    GNU GENERAL PUBLIC LICENSE
+		       Version 2, June 1991
+
+ Copyright (C) 1989, 1991 Free Software Foundation, Inc.
+                          675 Mass Ave, Cambridge, MA 02139, USA
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+			    Preamble
+
+  The licenses for most software are designed to take away your
+freedom to share and change it.  By contrast, the GNU General Public
+License is intended to guarantee your freedom to share and change free
+software--to make sure the software is free for all its users.  This
+General Public License applies to most of the Free Software
+Foundation's software and to any other program whose authors commit to
+using it.  (Some other Free Software Foundation software is covered by
+the GNU Library General Public License instead.)  You can apply it to
+your programs, too.
+
+  When we speak of free software, we are referring to freedom, not
+price.  Our General Public Licenses are designed to make sure that you
+have the freedom to distribute copies of free software (and charge for
+this service if you wish), that you receive source code or can get it
+if you want it, that you can change the software or use pieces of it
+in new free programs; and that you know you can do these things.
+
+  To protect your rights, we need to make restrictions that forbid
+anyone to deny you these rights or to ask you to surrender the rights.
+These restrictions translate to certain responsibilities for you if you
+distribute copies of the software, or if you modify it.
+
+  For example, if you distribute copies of such a program, whether
+gratis or for a fee, you must give the recipients all the rights that
+you have.  You must make sure that they, too, receive or can get the
+source code.  And you must show them these terms so they know their
+rights.
+
+  We protect your rights with two steps: (1) copyright the software, and
+(2) offer you this license which gives you legal permission to copy,
+distribute and/or modify the software.
+
+  Also, for each author's protection and ours, we want to make certain
+that everyone understands that there is no warranty for this free
+software.  If the software is modified by someone else and passed on, we
+want its recipients to know that what they have is not the original, so
+that any problems introduced by others will not reflect on the original
+authors' reputations.
+
+  Finally, any free program is threatened constantly by software
+patents.  We wish to avoid the danger that redistributors of a free
+program will individually obtain patent licenses, in effect making the
+program proprietary.  To prevent this, we have made it clear that any
+patent must be licensed for everyone's free use or not licensed at all.
+
+  The precise terms and conditions for copying, distribution and
+modification follow.
+
+
+		    GNU GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License applies to any program or other work which contains
+a notice placed by the copyright holder saying it may be distributed
+under the terms of this General Public License.  The "Program", below,
+refers to any such program or work, and a "work based on the Program"
+means either the Program or any derivative work under copyright law:
+that is to say, a work containing the Program or a portion of it,
+either verbatim or with modifications and/or translated into another
+language.  (Hereinafter, translation is included without limitation in
+the term "modification".)  Each licensee is addressed as "you".
+
+Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running the Program is not restricted, and the output from the Program
+is covered only if its contents constitute a work based on the
+Program (independent of having been made by running the Program).
+Whether that is true depends on what the Program does.
+
+  1. You may copy and distribute verbatim copies of the Program's
+source code as you receive it, in any medium, provided that you
+conspicuously and appropriately publish on each copy an appropriate
+copyright notice and disclaimer of warranty; keep intact all the
+notices that refer to this License and to the absence of any warranty;
+and give any other recipients of the Program a copy of this License
+along with the Program.
+
+You may charge a fee for the physical act of transferring a copy, and
+you may at your option offer warranty protection in exchange for a fee.
+
+  2. You may modify your copy or copies of the Program or any portion
+of it, thus forming a work based on the Program, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) You must cause the modified files to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    b) You must cause any work that you distribute or publish, that in
+    whole or in part contains or is derived from the Program or any
+    part thereof, to be licensed as a whole at no charge to all third
+    parties under the terms of this License.
+
+    c) If the modified program normally reads commands interactively
+    when run, you must cause it, when started running for such
+    interactive use in the most ordinary way, to print or display an
+    announcement including an appropriate copyright notice and a
+    notice that there is no warranty (or else, saying that you provide
+    a warranty) and that users may redistribute the program under
+    these conditions, and telling the user how to view a copy of this
+    License.  (Exception: if the Program itself is interactive but
+    does not normally print such an announcement, your work based on
+    the Program is not required to print an announcement.)
+
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Program,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Program, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Program.
+
+In addition, mere aggregation of another work not based on the Program
+with the Program (or with a work based on the Program) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may copy and distribute the Program (or a work based on it,
+under Section 2) in object code or executable form under the terms of
+Sections 1 and 2 above provided that you also do one of the following:
+
+    a) Accompany it with the complete corresponding machine-readable
+    source code, which must be distributed under the terms of Sections
+    1 and 2 above on a medium customarily used for software interchange; or,
+
+    b) Accompany it with a written offer, valid for at least three
+    years, to give any third party, for a charge no more than your
+    cost of physically performing source distribution, a complete
+    machine-readable copy of the corresponding source code, to be
+    distributed under the terms of Sections 1 and 2 above on a medium
+    customarily used for software interchange; or,
+
+    c) Accompany it with the information you received as to the offer
+    to distribute corresponding source code.  (This alternative is
+    allowed only for noncommercial distribution and only if you
+    received the program in object code or executable form with such
+    an offer, in accord with Subsection b above.)
+
+The source code for a work means the preferred form of the work for
+making modifications to it.  For an executable work, complete source
+code means all the source code for all modules it contains, plus any
+associated interface definition files, plus the scripts used to
+control compilation and installation of the executable.  However, as a
+special exception, the source code distributed need not include
+anything that is normally distributed (in either source or binary
+form) with the major components (compiler, kernel, and so on) of the
+operating system on which the executable runs, unless that component
+itself accompanies the executable.
+
+If distribution of executable or object code is made by offering
+access to copy from a designated place, then offering equivalent
+access to copy the source code from the same place counts as
+distribution of the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+
+  4. You may not copy, modify, sublicense, or distribute the Program
+except as expressly provided under this License.  Any attempt
+otherwise to copy, modify, sublicense or distribute the Program is
+void, and will automatically terminate your rights under this License.
+However, parties who have received copies, or rights, from you under
+this License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+  5. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Program or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Program (or any work based on the
+Program), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Program or works based on it.
+
+  6. Each time you redistribute the Program (or any work based on the
+Program), the recipient automatically receives a license from the
+original licensor to copy, distribute or modify the Program subject to
+these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties to
+this License.
+
+  7. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Program at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Program by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Program.
+
+If any portion of this section is held invalid or unenforceable under
+any particular circumstance, the balance of the section is intended to
+apply and the section as a whole is intended to apply in other
+circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system, which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+
+  8. If the distribution and/or use of the Program is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Program under this License
+may add an explicit geographical distribution limitation excluding
+those countries, so that distribution is permitted only in or among
+countries not thus excluded.  In such case, this License incorporates
+the limitation as if written in the body of this License.
+
+  9. The Free Software Foundation may publish revised and/or new versions
+of the General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Program
+specifies a version number of this License which applies to it and "any
+later version", you have the option of following the terms and conditions
+either of that version or of any later version published by the Free
+Software Foundation.  If the Program does not specify a version number of
+this License, you may choose any version ever published by the Free Software
+Foundation.
+
+  10. If you wish to incorporate parts of the Program into other free
+programs whose distribution conditions are different, write to the author
+to ask for permission.  For software which is copyrighted by the Free
+Software Foundation, write to the Free Software Foundation; we sometimes
+make exceptions for this.  Our decision will be guided by the two goals
+of preserving the free status of all derivatives of our free software and
+of promoting the sharing and reuse of software generally.
+
+			    NO WARRANTY
+
+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+REPAIR OR CORRECTION.
+
+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGES.
+
+		     END OF TERMS AND CONDITIONS
+
+
+	    How to Apply These Terms to Your New Programs
+
+  If you develop a new program, and you want it to be of the greatest
+possible use to the public, the best way to achieve this is to make it
+free software which everyone can redistribute and change under these terms.
+
+  To do so, attach the following notices to the program.  It is safest
+to attach them to the start of each source file to most effectively
+convey the exclusion of warranty; and each file should have at least
+the "copyright" line and a pointer to where the full notice is found.
+
+    <one line to give the program's name and a brief idea of what it does.>
+    Copyright (C) 19yy  <name of author>
+
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+Also add information on how to contact you by electronic and paper mail.
+
+If the program is interactive, make it output a short notice like this
+when it starts in an interactive mode:
+
+    Gnomovision version 69, Copyright (C) 19yy name of author
+    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
+    This is free software, and you are welcome to redistribute it
+    under certain conditions; type `show c' for details.
+
+The hypothetical commands `show w' and `show c' should show the appropriate
+parts of the General Public License.  Of course, the commands you use may
+be called something other than `show w' and `show c'; they could even be
+mouse-clicks or menu items--whatever suits your program.
+
+You should also get your employer (if you work as a programmer) or your
+school, if any, to sign a "copyright disclaimer" for the program, if
+necessary.  Here is a sample; alter the names:
+
+  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
+  `Gnomovision' (which makes passes at compilers) written by James Hacker.
+
+  <signature of Ty Coon>, 1 April 1989
+  Ty Coon, President of Vice
+
+This General Public License does not permit incorporating your program into
+proprietary programs.  If your program is a subroutine library, you may
+consider it more useful to permit linking proprietary applications with the
+library.  If this is what you want to do, use the GNU Library General
+Public License instead of this License.
Index: /tags/green/is_gsdl_cdrom/Shell Objects/Default.shl
===================================================================
--- /tags/green/is_gsdl_cdrom/Shell Objects/Default.shl	(revision 2825)
+++ /tags/green/is_gsdl_cdrom/Shell Objects/Default.shl	(revision 2825)
@@ -0,0 +1,12 @@
+[Data]
+Folder3=<FOLDER_STARTUP>
+Group0=Main
+Group1=Startup
+Folder0=<FOLDER_DESKTOP>
+Folder1=<FOLDER_STARTMENU>
+Folder2=<FOLDER_PROGRAMS>
+
+[Info]
+Type=ShellObject
+Version=1.00.000
+
Index: /tags/green/is_gsdl_cdrom/String Tables/0009-English/value.shl
===================================================================
--- /tags/green/is_gsdl_cdrom/String Tables/0009-English/value.shl	(revision 2825)
+++ /tags/green/is_gsdl_cdrom/String Tables/0009-English/value.shl	(revision 2825)
@@ -0,0 +1,34 @@
+[Data]
+TEXT_INSTALL_TYPE=Greenstone installation type
+TITLE_MAIN=Greenstone Digital Library Software
+LOCAL_LIBRARY_DESC=Installs the local library. This version of Greenstone has a webserver built in and is suitable for building and viewing Greenstone collections on a stand-alone system. It also has limited web serving ability.
+COMPANY_NAME=New Zealand Digital Library Project
+ERROR_COMPONENT=Component:
+COMPANY_NAME16=NZDL
+TEXT_INSTALL_TYPE_DESC=Click the type of Greenstone installation you prefer, then click Next.
+SOURCE_CODE=Source Code
+PRODUCT_VERSION=2.37.000
+ERROR_MOVEDATA=An error occurred during the move data process: %d
+ERROR_FILEGROUP=File Group:
+UNINST_KEY=Greenstone Digital Library Software
+WEB_LIBRARY_DESC=Installs the web library. This is the recommended option for those wanting to serve Greenstone collections to others on the web. It requires a webserver (e.g. Apache).
+TITLE_CAPTIONBAR=Greenstone Digital Library Software Setup
+PRODUCT_NAME16=GSDL
+TEXT_SETUP_TYPE_DESC=Select your prefered setup type. 'Full' will install all Greenstone components. 'Compact' will use less disk space by leaving out some of Greenstone's less important features.
+WEB_LIBRARY=Web Library (requires separate webserver)
+ERROR_VGARESOLUTION=This program requires VGA or better resolution.
+ERROR_FILE=File:
+TEXT_FULL=Full Installation (approx. 54Mb + collections)
+LOCAL_LIBRARY=Local Library (recommended)
+TEXT_COMPACT=Compact Installation (approx. 27Mb + collections)
+UNINST_DISPLAY_NAME=Greenstone Digital Library Software
+PRODUCT_KEY=server.exe
+SOURCE_CODE_DESC=Installs source code only (binary executables will not be installed). If using this option Greenstone will need to be compiled before it can be used. This installation does NOT compile Greenstone for you.
+PRODUCT_NAME=Greenstone Digital Library Software
+ERROR_UNINSTSETUP=unInstaller setup failed to initialize.  You may not be able to uninstall this product.
+
+[General]
+Language=0009
+Type=STRINGTABLESPECIFIC
+Version=1.00.000
+
Index: /tags/green/is_gsdl_cdrom/String Tables/Default.shl
===================================================================
--- /tags/green/is_gsdl_cdrom/String Tables/Default.shl	(revision 2825)
+++ /tags/green/is_gsdl_cdrom/String Tables/Default.shl	(revision 2825)
@@ -0,0 +1,118 @@
+[TEXT_INSTALL_TYPE]
+Comment=
+
+[TITLE_MAIN]
+Comment=
+
+[LOCAL_LIBRARY_DESC]
+Comment=
+
+[COMPANY_NAME]
+Comment=
+
+[ERROR_COMPONENT]
+Comment=
+
+[COMPANY_NAME16]
+Comment=
+
+[TEXT_INSTALL_TYPE_DESC]
+Comment=
+
+[SOURCE_CODE]
+Comment=
+
+[PRODUCT_VERSION]
+Comment=
+
+[ERROR_MOVEDATA]
+Comment=
+
+[ERROR_FILEGROUP]
+Comment=
+
+[Language]
+Lang0=0009
+CurrentLang=0
+
+[UNINST_KEY]
+Comment=
+
+[WEB_LIBRARY_DESC]
+Comment=
+
+[TITLE_CAPTIONBAR]
+Comment=
+
+[Data]
+Entry18=WEB_LIBRARY
+Entry0=ERROR_VGARESOLUTION
+Entry19=WEB_LIBRARY_DESC
+Entry1=TITLE_MAIN
+Entry2=TITLE_CAPTIONBAR
+Entry3=UNINST_KEY
+Entry4=UNINST_DISPLAY_NAME
+Entry5=COMPANY_NAME
+Entry6=PRODUCT_NAME
+Entry7=PRODUCT_VERSION
+Entry20=SOURCE_CODE
+Entry8=PRODUCT_KEY
+Entry21=SOURCE_CODE_DESC
+Entry9=ERROR_MOVEDATA
+Entry10=ERROR_UNINSTSETUP
+Entry22=TEXT_INSTALL_TYPE
+Entry11=COMPANY_NAME16
+Entry23=TEXT_INSTALL_TYPE_DESC
+Entry12=PRODUCT_NAME16
+Entry24=TEXT_SETUP_TYPE_DESC
+Entry13=ERROR_COMPONENT
+Entry25=TEXT_COMPACT
+Entry14=ERROR_FILEGROUP
+Entry26=TEXT_FULL
+Entry15=ERROR_FILE
+Entry16=LOCAL_LIBRARY
+Entry17=LOCAL_LIBRARY_DESC
+
+[PRODUCT_NAME16]
+Comment=
+
+[TEXT_SETUP_TYPE_DESC]
+Comment=
+
+[WEB_LIBRARY]
+Comment=
+
+[ERROR_VGARESOLUTION]
+Comment=
+
+[ERROR_FILE]
+Comment=
+
+[TEXT_FULL]
+Comment=
+
+[LOCAL_LIBRARY]
+Comment=
+
+[TEXT_COMPACT]
+Comment=
+
+[General]
+Type=STRINGTABLE
+Version=1.00.000
+
+[UNINST_DISPLAY_NAME]
+Comment=
+
+[PRODUCT_KEY]
+Comment=
+
+[SOURCE_CODE_DESC]
+Comment=
+
+[PRODUCT_NAME]
+Comment=
+
+[ERROR_UNINSTSETUP]
+Comment=
+
Index: /tags/green/is_gsdl_cdrom/Text Substitutions/Build.tsb
===================================================================
--- /tags/green/is_gsdl_cdrom/Text Substitutions/Build.tsb	(revision 2825)
+++ /tags/green/is_gsdl_cdrom/Text Substitutions/Build.tsb	(revision 2825)
@@ -0,0 +1,66 @@
+[<HKCR>]
+KeyType=4
+Value=
+
+[<HKUS>]
+KeyType=4
+Value=
+
+[<PROGRAMFILES>]
+KeyType=4
+Value=
+
+[<WINSYSDIR>]
+KeyType=4
+Value=
+
+[<COMMONFILES>]
+KeyType=4
+Value=
+
+[<WINDIR>]
+KeyType=4
+Value=
+
+[Data]
+Key0=<PROGRAMFILES>
+Key1=<COMMONFILES>
+Key2=<WINDIR>
+Key3=<WINSYSDIR>
+Key4=<HKLM>
+Key10=<SHELL_OBJECT_FOLDER>
+Key5=<HKCU>
+Key11=<UNINST>
+Key6=<HKCC>
+Key7=<HKDD>
+Key8=<HKUS>
+Key9=<HKCR>
+
+[<UNINST>]
+KeyType=4
+Value=
+
+[<SHELL_OBJECT_FOLDER>]
+KeyType=4
+Value=
+
+[General]
+Type=TEXTSUB
+Version=1.10.000
+
+[<HKCU>]
+KeyType=4
+Value=
+
+[<HKLM>]
+KeyType=4
+Value=
+
+[<HKDD>]
+KeyType=4
+Value=
+
+[<HKCC>]
+KeyType=4
+Value=
+
Index: /tags/green/is_gsdl_cdrom/Text Substitutions/Setup.tsb
===================================================================
--- /tags/green/is_gsdl_cdrom/Text Substitutions/Setup.tsb	(revision 2825)
+++ /tags/green/is_gsdl_cdrom/Text Substitutions/Setup.tsb	(revision 2825)
@@ -0,0 +1,81 @@
+[<HKCR>]
+KeyType=4
+Value=
+
+[<HKUS>]
+KeyType=4
+Value=
+
+[<SRCDIR>]
+KeyType=4
+Value=
+
+[<PROGRAMFILES>]
+KeyType=4
+Value=
+
+[<TARGETDIR>]
+KeyType=4
+Value=
+
+[<WINSYSDIR>]
+KeyType=4
+Value=
+
+[<COMMONFILES>]
+KeyType=4
+Value=
+
+[<WINDIR>]
+KeyType=4
+Value=
+
+[Data]
+Key0=<PROGRAMFILES>
+Key1=<COMMONFILES>
+Key2=<WINDIR>
+Key3=<WINSYSDIR>
+Key4=<TARGETDIR>
+Key10=<HKDD>
+Key5=<SUPPORTDIR>
+Key11=<HKUS>
+Key6=<SRCDIR>
+Key12=<HKCR>
+Key7=<HKLM>
+Key13=<SHELL_OBJECT_FOLDER>
+Key8=<HKCU>
+Key14=<UNINST>
+Key9=<HKCC>
+
+[<UNINST>]
+KeyType=4
+Value=
+
+[<SHELL_OBJECT_FOLDER>]
+KeyType=4
+Value=
+
+[<SUPPORTDIR>]
+KeyType=4
+Value=
+
+[General]
+Type=TEXTSUB
+Version=1.10.000
+
+[<HKCU>]
+KeyType=4
+Value=
+
+[<HKLM>]
+KeyType=4
+Value=
+
+[<HKDD>]
+KeyType=4
+Value=
+
+[<HKCC>]
+KeyType=4
+Value=
+
